std::pmr::polymorphic_allocator< _Tp >(3cxx)

NAME
std::pmr::polymorphic_allocator< _Tp > - Class template polymorphic_allocator.

SYNOPSIS

#include <memory_resource>

  Public Types

using value_type

  Public Member Functions

polymorphic_allocator (const polymorphic_allocator &__other)=default
template<typename _Up> polymorphic_allocator (const polymorphic_allocator< _Up > &__x) noexcept
polymorphic_allocator (memory_resource *__r) noexcept
_Tp * allocate (size_t __n)
template<typename _Tp1, typename... _Args> void construct (_Tp1 *__p, _Args &&... __args)
void deallocate (_Tp *__p, size_t __n) noexcept
template<typename _Up> void destroy (_Up *__p)
polymorphic_allocator & operator= (const polymorphic_allocator &)=delete
memory_resource * resource () const noexcept
polymorphic_allocator select_on_container_copy_construction () const noexcept

  Friends

bool operator== (const polymorphic_allocator &__a, const polymorphic_allocator &__b) noexcept

Detailed Description

  template<typename _Tp>
class std::pmr::polymorphic_allocator< _Tp >"Class template polymorphic_allocator.

Since
    C++17

Author

Generated automatically by Doxygen for libstdc++ from the source code.